DavenDaven Documentation
APIAPI ReferenceJobboardJobboard Activities

Update jobboard activity

PUT
/jobboard/activities/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Jobboard Activity DTO - The data transfer object for jobboard activities

recorded_at*string

Date of the activity

job_offer_reference*string

Main job offer reference

job_offer_reference_2?|

Second job offer reference

job_offer_reference_3?|

Third job offer reference

job_offer_title?|

Job offer title

status*string

Status of the application

subsidiary?|

Subsidiary name

subsidiary_jobboard_id?|

Subsidiary's internal ID in the Jobboard

count*number

Count of the application step occurrences

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/jobboard/activities/0" \  -H "Content-Type: application/json" \  -d '{    "recorded_at": "2023-10-01",    "job_offer_reference": "REF123",    "status": "job_offer_view",    "count": 92  }'
{
  "message": "string",
  "data": [
    {
      "id": 0,
      "recorded_at": "string",
      "job_offer_reference": "string",
      "job_offer_reference_2": "string",
      "job_offer_reference_3": "string",
      "job_offer_title": "string",
      "status": "string",
      "subsidiary": "string",
      "subsidiary_jobboard_id": "string",
      "count": 0
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}